# Overview

{% hint style="info" %}
The REST API is available for AcyMailing Essential or higher, starting from the version 9.2.0.\
The routes shown in this documentation work for both Joomla and WordPress websites.
{% endhint %}

Hello and welcome to the AcyMailing API!

The AcyMailing API is organized around [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer). It has predictable, resource-oriented URLs, and uses HTTP response codes to indicate API errors. All request and response bodies are encoded in [JSON](http://www.json.org/), including errors.

The API is accessed by making HTTPS requests to a specific version endpoint URL. `GET`, `POST` and `DELETE` methods dictate how you interact with the available objects.

### Return to the main documentation

{% content-ref url="/spaces/-L\_D4iy53WFAtKVs3BPA-3566562695" %}
[Latest version](https://docs.acymailing.com/)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acymailing.com/rest-api/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
